function y=nmm(Theta,seed,Fs)
    Tend=10+60;
    deltat=1/Fs;
    Ntot=ceil(Tend/deltat);   
    %% Parameter settings
    A=5; B=Theta(1); G=Theta(2);
    a=100; b=50; g=500;
    C=135; C1=C; C2=0.8*C; C3=0.25*C; C4=0.25*C; C5=0.3*C; C6=0.1*C; C7=0.8*C;
    mu=90; sd=30*sqrt(deltat);
    rng(seed);
    %% Initial condititons
    x=zeros(5,1);
    y=zeros(5,1);
    %% Initialise variables for computation
    P=[0 1 -1 -1 0; C1 0 0 0 0; C3 0 0 0 0; C5 0 0 0 -C6; C3 0 0 0 0];
    Q=[A*a C2*A*a C4*B*b C7*G*g B*b]';
    R=2*[a a b g b]';
    S=[a a b g b]'.^2;
    T=[0 A*a 0 0 0]';
    w=randn(1,Ntot);
    u=P*x;
    uout=zeros(Ntot,1);
    xn=x;  
    yn=y;
    %% Start Simulation
    for i=1:1:Ntot
        xn=x+deltat*y;
        yn=y+deltat*(Q.*sig(u)-R.*y-S.*x+(mu+sd/sqrt(deltat)*w(i))*T);
        x=xn;
        y=yn;
        u=P*x;
        uout(i)=u(1);
    end
    %Discard transient observations    
    y=uout(10*Fs+1:end);
    y=(y-mean(y))/std(y);
end

function Q = sig(y)
    v0=6; e0=2.5; r=0.560;
    Q = 2*e0./(1 + exp(r*(v0-y)));
end